> ## Documentation Index
> Fetch the complete documentation index at: https://docs.empirical.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Add tests to a snooze

> Adds Playwright tests to an existing snooze.



## OpenAPI

````yaml /api-reference/openapi.generated.json post /api/snoozes/{id}/add-test-cases
openapi: 3.1.0
info:
  title: Empirical API
  version: 1.0.0
  description: Programmatic access to Empirical test runs, snoozes, and more.
  contact:
    name: Empirical
    url: https://empirical.run
servers:
  - url: https://api.empirical.run
security:
  - Bearer: []
tags:
  - name: Snoozes
    description: Temporarily suppress known test failures for specific Playwright tests.
paths:
  /api/snoozes/{id}/add-test-cases:
    post:
      tags:
        - Snoozes
      summary: Add tests to a snooze
      description: Adds Playwright tests to an existing snooze.
      operationId: addSnoozeTestCases
      parameters:
        - schema:
            type: integer
            minimum: 1
            description: Snooze ID.
          required: true
          description: Snooze ID.
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddSnoozeTestCasesRequest'
      responses:
        '200':
          description: The updated snooze.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SnoozeResponse'
        '404':
          description: Snooze not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AddSnoozeTestCasesRequest:
      type: object
      properties:
        test_ids:
          type: array
          items:
            type: string
          minItems: 1
          description: Playwright test IDs to add to the snooze.
      required:
        - test_ids
    SnoozeResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            snooze:
              $ref: '#/components/schemas/Snooze'
          required:
            - snooze
          description: Response payload.
      required:
        - data
    ErrorResponse:
      type: object
      properties:
        data:
          nullable: true
          description: Always null for error responses.
        error:
          type: object
          properties:
            message:
              type: string
              description: Human-readable error message.
          required:
            - message
          description: Error details.
      required:
        - data
        - error
    Snooze:
      type: object
      properties:
        id:
          type: number
          description: Unique identifier for the snooze.
        test_ids:
          type: array
          items:
            type: string
          description: Array of Playwright test IDs (41-character hashes) that are snoozed.
        snooze_until:
          type: string
          description: >-
            ISO 8601 timestamp for when the snooze expires. Active when in the
            future.
        description:
          type: string
          nullable: true
          description: Description of why the tests are snoozed.
        created_from_test_run_id:
          type: number
          nullable: true
          description: >-
            ID of the test run that triggered the snooze creation, if
            applicable.
        created_by:
          type: string
          nullable: true
          description: >-
            User ID of the creator. Set automatically for dashboard users;
            `null` for API-created snoozes.
        created_at:
          type: string
          description: ISO 8601 timestamp of when the snooze was created.
        updated_at:
          type: string
          description: ISO 8601 timestamp of when the snooze was last updated.
        scoped_to_environment_id:
          type: number
          nullable: true
          description: >-
            Environment ID this snooze is scoped to. `null` if it applies to all
            environments.
      required:
        - id
        - test_ids
        - snooze_until
        - description
        - created_from_test_run_id
        - created_by
        - created_at
        - updated_at
        - scoped_to_environment_id
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````